## system-integrity-check 0.2

=== Makefile ===
arch=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

all: parser
parser: parser.c
	gcc -O3 -W -Wall -DDEBIANARCH=\"$(arch)\" parser.c -o parser -ldebian-installer

parser-local: parser.c
	gcc -g3 -W -Wall -DDEBIANARCH=\"$(arch)\" -DPACKAGES=\"$(CURDIR)/Packages\" -DPKGLIST=\"$(CURDIR)/pkglist\" -DOUTLIST=\"$(CURDIR)/outlist\" parser.c -o parser -ldebian-installer

clean:
	rm -f parser

## system-integrity-check 0.1

=== debian/changelog ===
system-integrity-check (0.1) edgy; urgency=low

  * First release.

  (Colin Watson)

  * Itaglish to english translation of debconf template.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 23 Aug 2006 17:15:57 +0100

=== debian/control ===
Source: system-integrity-check
Section: debian-installer
Priority: optional
Maintainer: Fabio M. Di Nitto <fabbione@ubuntu.com>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.2.28), libdebian-installer4-dev

Package: system-integrity-check
Section: debian-installer
Priority: optional
Architecture: any
Depends: rescue-mode
XC-Package-Type: udeb
Description: Package Integrity Check

## system-integrity-check 0.2

=== debian/changelog ===
system-integrity-check (0.2) gutsy; urgency=low

  * Depends: wget-udeb

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 04 Jun 2007 08:03:39 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 Section: debian-installer
 Priority: optional
 Architecture: any
-Depends: rescue-mode
+Depends: rescue-mode, wget-udeb
 XC-Package-Type: udeb
 Description: Package Integrity Check

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(MAKE)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_install -psystem-integrity-check lib
	install -m 0755 parser debian/system-integrity-check/lib/system-integrity-check/parser

binary-indep:
	# do nothing

binary-arch: install
	dh_testdir
	dh_testroot
	dh_strip -a
	dh_installdebconf -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_builddeb -a

binary: binary-arch binary-indep

clean:
	dh_testdir
	dh_clean
	make clean
